Bug 1066024 - [RFE] Allow adding permissions in the role's creation call
Summary: [RFE] Allow adding permissions in the role's creation call
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Pulp
Classification: Retired
Component: API/integration
Version: unspecified
Hardware: Unspecified
OS: Unspecified
medium
unspecified
Target Milestone: ---
: ---
Assignee: pulp-bugs
QA Contact: pulp-qe-list
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-02-17 14:21 UTC by Ina Panova
Modified: 2015-02-28 23:41 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-02-19 01:12:51 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Pulp Redmine 223 None None None Never

Description Ina Panova 2014-02-17 14:21:13 UTC
Description of problem:
Current situation requires two steps:
1) create a role with POST method
2) add a permission to the role by making the update with the PUT method

Would be more convenient to also allow to specify directly permissions(as an optional field) during creation of the role.

Version-Release number of selected component (if applicable):

pulp-server-2.4.0-0.2.alpha.git.9.236d540.fc19.noarch
How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:
permission can be added only after role creation call

Expected results:
be able to add permission also during role creation call

Additional info:

Comment 1 Brian Bouterse 2015-02-19 01:12:51 UTC
Moved to https://pulp.plan.io/issues/223


Note You need to log in before you can comment on or make changes to this bug.